Configurazione share samba o NFS per /home/partimag
Description

Dato che l'accesso al server per caricare/scaricare le immagini & opportuno non avvenga via SSH con root, & opportuno configurare
uno share NFS o samba.

Va valutato cosa € piu opportuno, ad occhio samba che consente la creazione di un utente ad hoc per accedere allo share.

Related issues:
Related to fuss-server - Segnalazione #138: Per clonezilla serve una director... Chiuso 01/11/2017

History

#1 - 01/13/2017 02:56 PM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#2 - 01/13/2017 03:03 PM - Christopher R. Gabriel

Suggerisco di non usare /home, che tipicamente e' filesystem separato con le quote attive, e magari backuppato diversamente. Suggerirei, se
possibile, di usare qualcosa in /var/

#3 - 01/13/2017 05:22 PM - Simone Piccardi

Per gestire lo share non & piu necessario creare una directory specifica, ne configurare samba con uno share aggiuntivo che non funziona perché le
home degli utenti sono gia esportate automaticamente e hanno la precedenza.

Ho modificato la configurazione (il template) per rendere le home scrivibili (la mancata scrittura era per questo) e pertanto ora € sufficiente creare un
utente con smbldap-useradd, e richiedere la creazione della sua home con l'opzione -m.

Questo € quanto fa il mio ultimo commit; perd cosi la home &€ /home/nomeutente, per impostare una directory diversa basta usare -d /path/name.
Il dove & comunque da definire con cura, perché le immagini possono essere grosse e se non sono su un filesystem che le pud contenere (in genere

/var sta nella radice) si rischia di riempire la radice. Se il problema € nei backup é sufficiente prevedere (visto che lo script nuovo lo stiamo rifacendo)
una esclusione di default.

#4 - 01/16/2017 12:06 PM - Christopher R. Gabriel

Mi preoccupa anche un utente su samba via smbldap-useradd, significa che sta su LDAP, significa che e' potenzialmente eliminabile tramite
octofussd. Cosa succede se viene eliminato?

lo eviterei comunque /home, perche' anche esportata via NFS, se deve essere samba. Il problema dello spazio disco non mi pare uno grosso scoglio,
basta fornire i requisiti giusti nella guida di installazione.
#5 - 01/16/2017 12:07 PM - Elena Grandi

- Assignee changed from Elena Grandi to Simone Piccardi

#6 - 01/16/2017 12:29 PM - Elena Grandi

- Related to Segnalazione #138: Per clonezilla serve una directory di destinazione del server added

#7 - 01/16/2017 06:32 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Se l'utente & su samba, deve stare su LDAP, avere supporti di autenticazione misti non & supportato. Se questo costituisce un problema (ovviamente
se lo cancelli perdi I'accesso allo spazio disco di rete ad esso associato) la sola alternativa che vedo ¢ lasciar perdere samba ed usare la home di un
utente locale del server (non su LDAP) via SSH.

#8 - 01/16/2017 06:33 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

lo mi limito a segnalare il fatto che se e' su LDAP, puo' arrivare qualcuno e dire "questo non lo conosco, lo cancello”. E va evitato. La soluzione
migliore poi sceglila pure tu.

#9 - 01/17/2017 10:48 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi

Ok, facciamo soluzione idiot proof (forse) usando un utente locale (clonezilla) con una home sotto /var/clonezilla, e tagliamo la testa al toro. Va fatto
un test e documentato I'uso con SSH.

#10 - 01/18/2017 11:00 AM - Elena Grandi

Utente creato, sto facendo prove (non con molto successo)

#11 - 01/18/2017 03:02 PM - Elena Grandi
- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Simone Piccardi

Creato l'utente locale.

Iniziato a scrivere documentazione su Clonazione di macchine con clonezilla

Mi mancano degli screenshot sulla selezione di clonezilla al boot con pxe, ma forse meglio aspettare di avere anche l'installer fuss-client servito dal
server.

#12 - 01/18/2017 05:32 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi

Con la modifica del mio ultimo commit (ruolo pxe-server dopo misc) funziona correttamente.
Ho messo gli screenshot che ottengo con virtualbox (fino alla creazione della immagine, non ho fatto il ripristino) qui:

https://hub.truelite.it/index.php/s/eUSb4i1ndPRO7kd
https://work.fuss.bz.it/projects/server/wiki/Clonazione_di_macchine_con_clonezilla
https://hub.truelite.it/index.php/s/eUSb4i1ndPRO7kd

Non mi compaiono le schermate di scelta della tastiera. Per quanto riguarda il ticket, questo si puo chiudere, te lo riassegno per presa visione, poi
chiudilo. A bassa priorita vedere #152.

#13 - 01/19/2017 10:34 AM - Elena Grandi

- Status changed from Commenti to Chiuso

#14 - 01/19/2017 10:53 AM - Elena Grandi

Riguardo alla modifica, ho messo misc nelle dipendenze di pxe, cosi non dipende solo dall'ordine che potrebbe essere cambiato)

ho ovviamente anche mergiato il branch in master
https://work.fuss.bz.it/issues/152
http://www.tcpdf.org

